Skip to content

Get the phone number of the mini program ​

Method name ​

AuthenticationClient.get_wechat_miniprogram_phone

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
codestringYes-code returned by open-type=getphonecode interface
extIdpConnidentifierstringYes-External identity source connection identifier of WeChat mini programmy-wxapp

Request response ​

Type: GetWechatMiniProgramPhoneRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. It will be returned when the request fails.
data<a GetWechatMiniProgramPhoneDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "phoneNumber": "+86188xxxx8888",
    "purePhoneNumber": "188xxxx8888",
    "countryCode": "86"
  }
}

Data structure ​

GetWechatMiniProgramPhoneDataDto ​

NameTypeRequiredDescriptionSample value
phoneNumberstringyesPhone number with area code+86188xxxx8888
purePhoneNumberstringyesPhone number without area code188xxxx8888
countryCodestringyesArea code86